package type;
public class RevisionHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"Revision",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("date",org.omg.CORBA.ORB.init().create_struct_tc(id(),"Date",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("day",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("month",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("year",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null)}),null),new org.omg.CORBA.StructMember("type",org.omg.CORBA.ORB.init().create_string_tc(0),null)});
	public RevisionHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, type.Revision s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static type.Revision extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/Revision:1.0";
	}
	public static type.Revision read(org.omg.CORBA.portable.InputStream in)
	{
		type.Revision result = new type.Revision();
		result.date=type.DateHelper.read(in);
		result.type=in.read_string();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, type.Revision s)
	{
type.DateHelper.write(out,s.date);
out.write_string(s.type);
	}
}
